Bug 1977389 - Manila CSI driver is not in must-gather
Summary: Manila CSI driver is not in must-gather
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Thomas Jungblut
QA Contact: Wei Duan
URL:
Whiteboard:
: 1945825 (view as bug list)
Depends On:
Blocks: 1986026
TreeView+ depends on / blocked
 
Reported: 2021-06-29 15:29 UTC by Jan Safranek
Modified: 2021-10-18 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 183 0 None closed Bug 1977389: Manila CSI driver is not in must-gather 2021-07-06 12:51:35 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:38 UTC

Description Jan Safranek 2021-06-29 15:29:04 UTC
Description of problem:

On OpenStack with Manila, must-gather does not collect objects and logs of namespace "openshift-manila-csi-driver".

For example, see must-gather from this CI job: https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_csi-driver-manila-operator/105/pull-ci-openshift-csi-driver-manila-operator-master-e2e-openstack-csi/1408066251963502592/artifacts/e2e-openstack-csi/gather-must-gather/artifacts/

$ find openshift-manila-csi-driver/
openshift-manila-csi-driver/
openshift-manila-csi-driver/monitoring.coreos.com
openshift-manila-csi-driver/monitoring.coreos.com/servicemonitors
openshift-manila-csi-driver/monitoring.coreos.com/servicemonitors/manila-csi-driver-controller-monitor.yaml

Comment 1 Jan Safranek 2021-06-30 12:30:14 UTC
There are two ways how to add the namespace to must-gather:

* Either hardcode the namespace name in CSO's RelatedObjects here: https://github.com/openshift/cluster-storage-operator/blob/a79f9ac9d906d013b2ef801274b3c91b427a2997/pkg/operator/starter.go#L58
Note that CSO does not know the platform at this point yet to add the related object only on OpenStack.

* Or add some extra code to CSIDriverStarterController to add the namespace to RelatedObjects only on OpenStack.

* Or move the namespace creation from Manila CSI driver operator assets [1] to CSO assets [2]. The namespace will be then created by CSO even when underlying OpenStack does not have Manila service and thus the namespace could be empty. On the other hand, the rest of CSO should automatically add it to RelatedObjects.
1: https://github.com/openshift/csi-driver-manila-operator/blob/master/assets/namespace.yaml
2: https://github.com/openshift/cluster-storage-operator/tree/master/assets/csidriveroperators/manila

Comment 2 Jan Safranek 2021-07-02 14:26:38 UTC
The first option seems to be fine.

Comment 4 Wei Duan 2021-07-14 04:33:18 UTC
Verified pass on 4.9.0-0.nightly-2021-07-12-143404

$ ls namespaces/openshift-manila-csi-driver
apps               autoscaling  build.openshift.io  discovery.k8s.io    monitoring.coreos.com             pods    route.openshift.io
apps.openshift.io  batch        core                image.openshift.io  openshift-manila-csi-driver.yaml  policy

$ ls namespaces/openshift-manila-csi-driver/pods/
csi-nodeplugin-nfsplugin-888f9  csi-nodeplugin-nfsplugin-n57jb                          openstack-manila-csi-nodeplugin-dws44  openstack-manila-csi-nodeplugin-qbrcr
csi-nodeplugin-nfsplugin-c9brw  csi-nodeplugin-nfsplugin-nr5kk                          openstack-manila-csi-nodeplugin-g6pjp
csi-nodeplugin-nfsplugin-cjbh9  openstack-manila-csi-controllerplugin-5cd9744787-vvnrt  openstack-manila-csi-nodeplugin-hm9vw
csi-nodeplugin-nfsplugin-l6k4s  openstack-manila-csi-nodeplugin-75v46                   openstack-manila-csi-nodeplugin-jzz28

Comment 5 Wei Duan 2021-07-14 04:36:57 UTC
It resolved https://bugzilla.redhat.com/show_bug.cgi?id=1945825, will mark that duplicated.

Comment 7 Pierre Prinetti 2021-07-26 14:23:46 UTC
*** Bug 1945825 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2021-10-18 17:37:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.